.TH PFTDBNS 1 "13-07-2005"   
.SH NAME  
pftdbns \- put files to directories by name structure (version 0.2.6)
.SH SYNOPSIS  
\fBpftdbns\fP [ -l | -ls | -ld | -la | -inv | -ad | -v | -help | --help ] [ -tf template-namefilter ] [ -dp dirprefix ] [ -fd fix-dirname ]  \fIfilenames\fP  
.SH DESCRIPTION  
\fIpftdbns\fP moves files into directories, depending on the
structure of their filenames. This structure is derived from the
filenames by building character-classes for each character of the
name. The directories, into which the files will be moved has the
name of the filename structure.

The parameter \fIfilenames\fP is mandatory. It selects the files,
which should be moved into their directories. The selection of
the files can also be modified by the \fB-tf\fP (template filter) option.
This option
gets one string as a filename template. This template will be used
as a filter to further select filenames. The structure of this
template-string will be compared to the namestructure of all files
listed in the \fIfilenames\fP parameters, and if they match, the files
will be used for further work, else they will be ignored.

When you want to use an inverted filter (use all -tf template non-matching files),
you can use the \fB-inv\fP option.

The option \fB-dp\fP uses one argument and use this string as a prefix
to the filenames of the directories.

The option \fB-fd\fP uses it's argument as a fixed directory name in which
all matching files will be moved. When using this option, the directory names
will contain no information about the structure of the files you move into
them.

The options \fB-l\fP, \fB-ls\fP, \fB-ld\fP and \fB-la\fP block the
movement of files and only
print informations to the screen, so they only list informations.

The option \fB-ad\fP, which allows directories to be moved,
is \fBdeprecated\fP. It can cause problems.
When pftdbns is called more than once (especially when using
wildcards like "*" for the filenames), the directories will
be sorted into directories, and with the next call of pftdbns
these directories again will be moved into directories, and again, and again...
This may create very deep directory structures and very long pathnames.
\fBUse this option rare and with care!\fP


The options \fB-v\fP prints the version and then exits.
The options \fB-help\fP  as well as \fB--help\fP are printing a short
usage message, listing all the command line options.

.SS Options  
.TP  
\fB-inv\fP  
Invert the template-filter, using non-matching files (see option tf) instead of matching files.
.TP  
\fB-l\fP  
Do not move files, only list the filenames, sorted by structure of the filenames.
.TP  
\fB-ls\fP  
Do not move files, only list the filenames and the filename structure, sorted by structure of the filenames.
.TP  
\fB-ld\fP  
Do not move files, only list the filenames and the used directory name, sorted by structure of the filenames.
.TP  
\fB-la\fP  
Do not move files, only list all informations on the filenames: filename, filename-structure, directory-name,
.TP  
\fB-tf\fP template-namefilter
Template name for filtering/selecting files out of the list of files, which was given by the
\fIfilenames\fP option. Each of the files, that were given as  part of the \fIfilenames\fP
will be checked if the namestructure of it's name matches the name-structure of that 
template-namefilter. Files that match will be used, all others will be ignored, so as if they
wouldn't be part of the \fIfilenames\fP parameters.
.TP  
\fB-dp\fP dirprefix
This option allows you to chose a prefix for the target directory name.
The resulting directory name(s) will have that prefix followed by the namestructure.
.TP  
\fB-fd\fP fix-dirname
When using this option, the target directories do not contain any information about
the namestructure of the files that will be moved into them.
The fix-dirname is literally the name of the target directory.
.TP  
\fB-ad\fP
Allow directories to be valid files (default: only allow regular files).
\fBThis option is deprecated\fP, because it can yield problems (see above for more details).
\fBUse this option rare and with care!\fP
.TP  
\fB-v\fP
Printing the program version.
.TP  
\fB-help\fP
Printing a short message to screen, listing all command line options with a short description.
.TP  
\fB--help\fP
Printing a short message to screen, listing all command line options with a short description.
.SH FILES
.TP
  ./.
.SH "SEE ALSO"  
.TP
 ./.
.SH ERRORS  
Moving of files uses the rename(2) systemcall (via Ocaml's Unix-module).
Renaming accross different filesystems may be a problem. But it is not
the intended use of this program, because it is assumed you only work on
files in your current working directory with that tool. So, "error" is a
too harsh word.





